Ubuntu wymusi paczki Snap?

  • 8 replies
  • 549 views
*

Offline ciastek1981

  • *******
  • 1219
  • 153
  • Płeć: Mężczyzna
Ubuntu wymusi paczki Snap?
« dnia: Maj 21, 2018, 13:38:50 pm »
Ciekawa wiadomość pojawiła się na blogu Ubuntu

Cytuj
Chromium as a snap
Chromium is becoming very hard to build on older releases of Ubuntu as it uses a number of features of modern C++ compilers.  Snaps can help us solve a lot of those problems and so we propose to ship Chromium only as a snap from 18.10 onwards, and also to retire Chromium as a deb in Trusty.  If you’re still running Trusty you can get the latest Chromium as a snap right now.

https://community.ubuntu.com/t/chromium-updates-on-trusty/5905
https://community.ubuntu.com/t/intent-to-provide-chromium-as-a-snap-only/5987
Źródło: https://blog.ubuntu.com/2018/05/18/desktop-plans-for-18-10

Po naszemu, powoli kończy się wsparcie (kwiecień 2019) dla klonów Ubuntu 14.04 (Mint 17.X) i nie liczcie na nowe Chromium.
« Ostatnia zmiana: Maj 21, 2018, 14:04:51 pm wysłana przez ciastek1981 »

*

Offline yahoob3

  • *****
  • 799
  • 121
  • Płeć: Mężczyzna
  • Zgryźliwy tetryk
    • Organy Hammonda
Odp: Ubuntu wymusi paczki Snap?
« Odpowiedź #1 dnia: Maj 21, 2018, 15:20:08 pm »
Sam pisałeś, że nie ma się co bawić w klony Chrome, to raz.
Trzeba odgrzebać Twój wpis o snapach i wstawić do poradników, to dwa.
"Raz i dwa, to trzy... a trzy oznacza tajemnicę..." tfu! Poniosło mnie  ;D

Mint 18.3 Cinnamon, kern. 4.10; 64-bit na: Lenovo G500S z CPU Pent. 2020M 2.4 GHz*2; 6 GB RAM; GPU Intel+GeForce 720M;
LU#586742

*

Offline ciastek1981

  • *******
  • 1219
  • 153
  • Płeć: Mężczyzna
Odp: Ubuntu wymusi paczki Snap?
« Odpowiedź #2 dnia: Maj 22, 2018, 10:57:09 am »
Znowu chcesz cudować?

Jak ktoś się jeszcze nie przesiadł to niech "powoli" oswaja się z koniecznością przesiadki na Minta 18.3 i tyle.

*

Offline yahoob3

  • *****
  • 799
  • 121
  • Płeć: Mężczyzna
  • Zgryźliwy tetryk
    • Organy Hammonda
Odp: Ubuntu wymusi paczki Snap?
« Odpowiedź #3 dnia: Maj 22, 2018, 11:23:13 am »
Ja? Broń Boże!  ;D

W sumie 19-tka blisko, ale chyba nie ma co instalować wcześniej niż 19.1... znając życie ;)
Mint 18.3 Cinnamon, kern. 4.10; 64-bit na: Lenovo G500S z CPU Pent. 2020M 2.4 GHz*2; 6 GB RAM; GPU Intel+GeForce 720M;
LU#586742

*

Offline ciastek1981

  • *******
  • 1219
  • 153
  • Płeć: Mężczyzna
Odp: Ubuntu wymusi paczki Snap?
« Odpowiedź #4 dnia: Maj 22, 2018, 12:15:09 pm »
Przynajmniej wiesz co robić jak pojawi się znowu jakiś komputerowy nekrofil. Nie bawić się w pudrowanie trupa.

*

Offline yahoob3

  • *****
  • 799
  • 121
  • Płeć: Mężczyzna
  • Zgryźliwy tetryk
    • Organy Hammonda
Odp: Ubuntu wymusi paczki Snap?
« Odpowiedź #5 dnia: Maj 22, 2018, 13:04:09 pm »
 :) :D ;D :o ??? :'( bo słowami się nie da wyrazić...W podpisie masz... "dłuższy"... urlop. 
I mogę pisać od czapy  ;D
Mint 18.3 Cinnamon, kern. 4.10; 64-bit na: Lenovo G500S z CPU Pent. 2020M 2.4 GHz*2; 6 GB RAM; GPU Intel+GeForce 720M;
LU#586742

*

Offline ciastek1981

  • *******
  • 1219
  • 153
  • Płeć: Mężczyzna
Odp: Ubuntu wymusi paczki Snap?
« Odpowiedź #6 dnia: Maj 22, 2018, 19:53:34 pm »
Pisz na temat  >:(

Teoretycznie powinno być bez większego bólu [ sudo apt-get install snapd ] , ale w dość leciwym wątku pisali o konieczności instalacji niepatchowanych bibliotek systemd z Ubuntu.

Ogólnie minimalne wymagania to kernel >=4.4 i tak dalej.

Dlatego żeby już nie kombinować, lepiej przesiąść się na Minta 18.3.

Ewentualnie gawędziarz y3 zweryfikuje to (snap na Mint 17) dla potomnych  8)
« Ostatnia zmiana: Maj 22, 2018, 20:00:18 pm wysłana przez ciastek1981 »

*

Offline yahoob3

  • *****
  • 799
  • 121
  • Płeć: Mężczyzna
  • Zgryźliwy tetryk
    • Organy Hammonda
Odp: Ubuntu wymusi paczki Snap?
« Odpowiedź #7 dnia: Maj 22, 2018, 22:50:29 pm »
Pisz na temat  >:(
Staram się... i uważam, że i snapy i flatpacki, to moda i ukłon w stronę pomywaczy okien i fanów hiper nowości :)
Mam nadzieję, że odpowiedź na tytuł wątku będzie brzmiała - nie. Jako uzupełnienie repozytoriów, swego rodzaju archiwum czy możliwość przechowania i instalacji offline  - super, ale nie standard.
Najlepszy przykład - górnik, o którym pisałeś, a który zbiera na Ferrari, tzn. już nie zbiera, bo mu kopalnię odkryli :)

Cytuj
Dlatego żeby już nie kombinować, lepiej przesiąść się na Minta 18.3.
Ewentualnie gawędziarz y3 zweryfikuje to (snap na Mint 17) dla potomnych  8)
Święta prawda w pierwszym zdaniu :)
W drugim, jak mawiają moje dziewczyny: "kapie ci" - w domyśle, jad z ust.  ;D  Jesteś bardziej złośliwy niż ja... no, no... szacun  :o
Heh, nie da rady, nie mam 17 nawet na VM, instalować mi się nie chce, a ostatnią w rodzinie zaorałem przedwczoraj. :) 
Postawiłem 18.3 XFCE 32 bit, bo laptop, to stareńki HP. O dziwo, chodzi całkiem żwawo, lepiej niż na Mate.
 
Mint 18.3 Cinnamon, kern. 4.10; 64-bit na: Lenovo G500S z CPU Pent. 2020M 2.4 GHz*2; 6 GB RAM; GPU Intel+GeForce 720M;
LU#586742

*

Offline ciastek1981

  • *******
  • 1219
  • 153
  • Płeć: Mężczyzna
Odp: Ubuntu wymusi paczki Snap?
« Odpowiedź #8 dnia: Czerwiec 01, 2018, 10:56:06 am »
Sens paczek jest taki, że:

1. Powinny działać na wszystkich dystrybucjach. Po stronie dystrybucji zostają tylko biblioteki/zależności.
2. Bezpieczeństwo (pełna izolacja na Waylandzie)

Wady:
1. Rozmiar. Na chwilę obecną nie korzystają w pełni z bibliotek będących już w systemie
2. Xorg nie gwarantuje w pełni bezpieczeństwa. Nie izoluje działającego programu.
3. Brak spójnej koncepcji co do rozwoju paczek, a przez co dopracowanie jednego rozwiązania.

Ogólnie z tego samego powodu to jest przyszłość jak tworzenie aplikacji z użyciem Qt 5.X i wyżej. Cześć twórców wolnego oprogramowania nie ma sił i środków na bawienie się w GTK.
« Ostatnia zmiana: Czerwiec 01, 2018, 10:59:29 am wysłana przez ciastek1981 »